AutoCAD Inventor :: Single Entity Selection

Sep 15, 2011

I'm borrowing from the samples library in the Inventor:

Public Sub GetSingleSelection()

    ' Get a feature selection from the user
    Dim oObject As Object
    Set oObject = ThisApplication.CommandManager.Pick(kPartFeatureFilter, "Pick a feature")
    MsgBox "Picked: " & oObject.Name

End Sub

Works fine, and is fairly simple, but the problem I'm having is if I press the escape key after starting the command, but before making my selection, I'm not able to start the command again.

I realize from my searching that using the Selection (Simple) sample allows for an interrupt, with some modification, was just wondering if there was something similar for this simpler selection option.

View 3 Replies


ADVERTISEMENT

AutoCad 3D :: How To Surface Odd Shaped 3D Geometry With Single Entity

Jun 25, 2012

Is there a way to surface this geometry with a single surface entity?

I had to use 2 lofts to "surface it" instead of region due to lines being non-coplanar with the arc (in other words top most corner is higher than the other adjacent 3 corners).

View 9 Replies View Related

AutoCAD 2010 :: Length Of Single Entity Using List Command?

Feb 27, 2012

When we launch the Area comand the area value is hold in the system variable "area".

What is the system variable that holds the Length value of the selected entity?

View 6 Replies View Related

AutoCad :: Changing Entity On Single Instance Of Defined Block

Jun 8, 2012

A defined block "DH" has:

A circle on layer CIR having a color of red...
A defined attribute on layer ATTR having a color of white...
The insertion point is the center of the circle...

Is it possible to change the circle to blue on one instance of the block without affecting the same change to other identical blocks in the drawing? Example:

Attachment 35286

View 2 Replies View Related

AutoCAD Visual LISP / AutoLISP :: How To Retrieve Length Value Of Single Entity

Feb 27, 2012

When we launch the list command, the Area system variable holds the area value of the selected shape.

How to get the length value into an Autolisp program to use it?

View 3 Replies View Related

AutoCAD 2013 :: Video Showing Sub Entity Selection With Use Of Control Key?

Jun 6, 2012

Does any video showing sub entity selection with use of control key?

I can not seem to get it to work.....so I don't know if I am doing it wrong, or if I have somehow disabled the feature....

Perhaps there is a link out there showing it working?

View 9 Replies View Related

AutoCAD Visual LISP / AutoLISP :: How To Return Entity Name Largest Polyline Of A Selection Set

Oct 8, 2013

I need to return the entity name of the largest (longest closed) polyline in a selection set. At this point I have no trouble creating the selection set and even getting the area of the boundingbox, which is not the most accurate way to find the true size, but it's a start. The part that has me stumped is: if I iterate through the selection set, then how can I compare one to the other when I have access to the current entity. I've been staring at examples of lambdas but it seems to me that iterating through the selection set is going about it wrong in the first place. 

Below is my current code with a remaining issue. I can return the largest area of the polylines (no good for more than two entities in selection set), but I do not know how to return the entity name:
 
(IF (> (SETQ SS (SSGET "x" '((0 . "*POLYLINE") (8 . "POOL") (-4 . "<OR") (62 . 5) (62 . 256) (-4 . "OR>")))) 1 ) (PROGN (SETQ a (1- a) ent (CDR (CAR (SSNAME ss a))) en2 (CDR (CAR (SSNAME ss (1- a)))) ar1 (APPLY '* (LIST (LAMBDA (ent) (VLAX-INVOKE-METHOD (VLAX-ENAME->VLA-OBJECT ent) 'getboundingbox 'minpt 'maxpt) (SETQ pt1 [code]......

View 9 Replies View Related

AutoCAD .NET :: If Selected Entity Xdata Contains Value Then Select Additional Entity

May 22, 2013

I would like to add additional entities to the selection if any of the selected entities contains a an xdata value.

If I put the condition into the ImpliedSelectionChanged reactor I imagine will probably loop back on itself.

View 9 Replies View Related

AutoCAD .NET :: Selection Set By Single Point?

Sep 2, 2013

I am using following lisp code to select line object by single point.

(setq pt (getpoint "
Pick a point"))(setq ss (ssget pt))
 
What is the .Net equivalent to achieve this? (select object by a single point I provide)

View 3 Replies View Related

AutoCAD LT :: Updating Proxy Entity - Can Proxy Entity Attributes Be Changed

Feb 27, 2012

want to upated attributes in proxy entity is this possible?

View 1 Replies View Related

AutoCAD Inventor :: How To Select Entity From Global X Y Z Position

Dec 21, 2013

I am new to Inventor API, but have some experiences in SolidWorks API. 

How can I select an entity at a given spacial point (x, y, z)? For example, I want to select a face or edge that is on a given (x, y, z) point. I can not find such an API, except for interactive selections.

View 3 Replies View Related

AutoCAD Inventor :: 2013 Offset Sketch Entity

Oct 24, 2012

In 2013 SP1.1 we are noticing that when using offset in a sketch, the offset line/curve is invisible and cant be seen until a zoom is done, then it appears. 

View 1 Replies View Related

AutoCAD Inventor :: Cannot SPLIT SOLID Entity / Object

Jun 11, 2012

I do have a problem on SPLIT feature. I cannot seem to apply SPLIT SOLID into an entity/object but, on the other object I am able to apply SPLIT SOLID.

Sketch created using MultiBody and would like to make use of "Make Components" to create an assembly as well as parts.

I have attach a zip file of the ipt. I am currently using Autodesk Inventor Suite 2012.

View 4 Replies View Related

AutoCAD Inventor :: Exactly Which IGES Entity Types (and Forms) Are Supported?

Jan 10, 2014

I had some success transferring geometries, generated with an advanced math software, to Inventor using IGES files containing Manifold Solid B-Rep Object Entities (Type 186) (see the specification IGES5-3_forDownload-1.pdf). Now I would like to include several Type 186 entities into a single IGES file and form the geometrical unit of these (and them), for which the IGES Boolean Tree Entity (Type 180) seems to exist. I'll do some trial-and-error testing, but it would be very useful to have a (reliable) list of all IGES entities the Inventor IGES import function does or does not support (like these: Transcendata, MoldflowInsight). Unfortunately I could not find such a list anywhere.

Another question: Are the IGES import/export functions of Inventor written by Autodesk (and/)or are third-party libraries used? If the latter, which ones?

View 2 Replies View Related

AutoCAD Inventor :: Assembly Constraint - What Is The Difference Between Entity One And Geometry One

Aug 5, 2013

On AssemblyConstraints what is the difference between EntityOne(Two) and GeometryOne(Two). When should one be used over the other?

Likewise with AffectedOccurrenceOne(Two) and OccurrenceOne(Two).

View 2 Replies View Related

AutoCAD Inventor :: Export Sketch To DXF And Control Entity Target Layers

Mar 18, 2013

Is there any way to export a sketch to DXF and control the target layer of sketch entities?

Solid Lines go to Layer=0

Construction Lines go to Layer=Construction

Center Lines go to Layer=Center

I am currently using

Sketch.DataIO.WriteDataToFile("DXF", strDXFOutputFile)

which send everything to layer=0

View 1 Replies View Related

AutoCAD Inventor :: 2012 API (VBA) - Assembly Constraint Entity Type IDispatch?

Aug 31, 2012

I would like to determine the Proxy ObjectType returned from Constraint.EntityOne (i.e. If oConst.EntityOne = kWorkPointProxyObject Then ....)

 Property EntityOne() As IDispatch**

how IDispatch works.
 
Dim oAsmDef As AssemblyComponentDefinitionSet oAsmDef = oAsmDoc.ComponentDefinition
Dim oConst As AssemblyConstraint
For Each oConst In oAsmDef.Constraints'Below will print the Enum 67120288 (kEdgeProxyObject) or 67119520 (kFaceProxyObject) if
'it is constrained. It will Err if a Work or Sketch Proxy Object is Constrained Debug.Print oConst.EntityOne Debug.Print oConst.EntityTwo Next

View 2 Replies View Related

Illustrator :: Single Click Object Selection Extremely Slow

Aug 24, 2012

I don't have any particular speed issue with illustrator CS6 in general. However there is a massive speed problem when I'm trying to select on object on the artboard with a single click.
 
When selecting a object by creating a "rectangle" over the object it works fine and normal speed. When clicking the object to select it, nothing happens for about 3/4 seconds, then the loading little rainbow circle appears and loads for another 3/4 seconds...

View 3 Replies View Related

AutoCAD Inventor :: Prevent Display Of Selection Lines Upon Selection?

Mar 28, 2013

I have a flexible sub-assembly in my top assembly. Sometiems I'm trying to demonstrate to others how a mechanism in the sub-assembly works using this flexibility feature. It works great, but when I move just one little part of a flexible assembly, Inventor displays the wire-mesh of the entire flexible assembly, because technically the entire assembly is selected, even though I'm only moving one part. It clutters up the screen very badly, detracting from what I'm trying to show.

Is there a way to prevent Inventor from displaying the selection lines? Either only when I'm moving a part in a flexible assembly (which would be great), or to just turn them off completely when I'm presenting like this? I know I can turn off pre-select, but that doesn't work, because once I start moving a part in the flexible assembly, the assembly is "selected" and the wire-mesh displays.

View 3 Replies View Related

AutoCAD Inventor :: How To Get Sketch Point Data From Sketch Entity

Dec 3, 2013

I was trying to query some sketch points data from a profile Path using code as below. However the program stopped without telling the reason.

Code below:
i = 0;
foreach (ProfileEntity oSourceProfileEntity in oProfilePath) { switch (oProfilePath[i].SketchEntity.Type) { case ObjectTypeEnum.kSketchArcObject: { SketchArc srcSkArc = default(SketchArc); srcSkArc = (SketchArc) oSourceProfileEntity.SketchEntity; // error points[i] = srcSkArc.StartSketchPoint.Geometry; break; } default: { SketchLine srcSkLine = default(SketchLine); srcSkLine =(SketchLine) oProfilePath[i].SketchEntity; // error points[i] = srcSkLine.StartSketchPoint.Geometry; break; } } i++; } 

View 2 Replies View Related

AutoCAD Inventor :: Single Solid In A DWG

Nov 8, 2011

Is there a way in a dwg to only make a spicific part shaded and the rest in a 2D sketch,? i created a sketch and traced the part and filleted it but that took forever. im using IV 2011 RS

View 1 Replies View Related

AutoCAD Inventor :: How To Keep Image As A Single

Nov 18, 2011

I'm using autodesk inventor 2010 and am having problems when inserting an image onto my model. Basically I select insert image then pick the bitmap picture but when I position it, it multiplies but stays in one grouping meaning I cant isolate one image.

View 8 Replies View Related

AutoCAD Inventor :: Can't Project Single Cut Edge?

Aug 1, 2012

I remember that you used to be able to specifically pick out individual cut edges to project to a 2D sketch.  Maybe it was 2010?  However, I come across this issue again and again since the new 2011 and now 2012 where I must project all cut edges.  I can no longer figure out how to just project the ones I want.  This can be every frustrating when dealing with complex shapes.  Is this no longer possible?

IV2012
Windows XP SP3 32-bit
Intel Core 2 Duo 6400 @ 2.13 GHz
Nvidia Quadro FX 3450/4000 SDI 256MB Vram
2 GB Ram
160GB HDD

View 4 Replies View Related

AutoCAD Inventor :: How To Merge A Single Solid

Nov 23, 2011

I´m building a solid in inventor 2012 and I exported the model to ANSYS for Finite element analysis. The problem is that ANSYS

don´t recognize the solid as one part only and also can't assume connection between some lines and areas. I want to merge a part with inventor, so inventor can export the model as a solid 1 part. In solid works there is the option to merge a file when I save a file for exporting. How can I merge a single solid in inventor 2012?

View 4 Replies View Related

AutoCAD Inventor :: How To Flatten Single Surface

Jan 3, 2013

Can i flatten something like You can find on the pic. ( this one is from CATIA ) or something like this. Not everything, just surface by surface. When i draw similar thing, i had problem, because i dont know how to flattern single surface, All of them are curved.

View 4 Replies View Related

AutoCAD Inventor :: Single Drawing For Multiple Extrusion

Sep 16, 2011

I design press tools. Is there any ways in inventor 2012, where I can have only one common sketch in zero height and extrude profiles in different heights. Like plate no 1 @100 to 120mm (in vertical axis. A 20mm thick plate placed at 100mm above zero plane.) and plate no 2 in 150 to 175mm height and so on.

View 6 Replies View Related

AutoCAD Inventor :: Can Only Create Single User Project

Jul 20, 2012

I've just recieved a new pc with Win7 64bit (no admin access) and AIS 2008 SP3.

When I go to Projects>New, the only option is new Single user Project. How can I enable the other project types or what can cause them not to show up?

View 1 Replies View Related

AutoCAD Inventor :: Generate Single IPT File On IParts?

May 15, 2013

I am working using iparts on inventor 2013. How can i save/generate each part created on iparts as a single .ipt file?

View 4 Replies View Related

AutoCAD Inventor :: Extract Single Assembly From IAssembly

Mar 4, 2013

I have an i Assembly, with a Sub-i Assembly and i Parts. Is it possible to "extract" a copy of one configuration as normal assembly? So that I have an assembly where I can modify parts without touching the iAssembly or iParts.

View 5 Replies View Related

AutoCAD Inventor :: How To Use Single Sketch For Multiple Extrusions

Nov 8, 2013

How to use a single sketch for multiple extrusions, i would create all the holes and everything in one sketch and i could reuse that sketch again and again.i totally forgot how to do this.

View 2 Replies View Related

AutoCAD Inventor :: Single Line Cuts Using Laser

Jan 8, 2014

I am working on a project where several holes in a sheet metal part will need to be cut as "knockouts". In previous years, either an engineer or the laser cutter programmer would set up the machine to partially cut a circle, but leave a gap to hold the knockout in place (basically a 340 degree arc).

Now that we are using Inventor, is there a way that we can create these features so that they show up in a dwg as a single line? It must be a single line; some of the holes are very small and if the laser makes more than one pass it could affect the integrity of the feature.

The closest I have gotten to accomplishing this is a surface extrusion on the folded part. When I send it to an .idw file, the line appears in the folded model, but I need it to appear in the flat pattern.

View 9 Replies View Related







Copyrights 2005-15 www.BigResource.com, All rights reserved